package com.jetbrains.sample;

import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import jetbrains.buildServer.serverSide.ProjectManager;
import jetbrains.buildServer.serverSide.SProject;
import jetbrains.buildServer.users.SUser;
import jetbrains.buildServer.web.openapi.PagePlaces;
import jetbrains.buildServer.web.openapi.PluginDescriptor;

/**
 * @author Yegor.Yarko
 *         Date: 04.05.2015
 */
public class MyProjectTab extends jetbrains.buildServer.web.openapi.project.ProjectTab {
  protected MyProjectTab(final PluginDescriptor pluginDescriptor,
                         final PagePlaces pagePlaces,
                         final ProjectManager projectManager) {
    super("myCustomProjectTab", "Hello Custom Project Tab", pagePlaces, projectManager, pluginDescriptor.getPluginResourcesPath("baka.jsp"));
  }

  @Override
  protected void fillModel(final Map<String, Object> map,
                           final HttpServletRequest httpServletRequest,
                           final SProject sProject,
                           final SUser sUser) {
    map.put("message", "custom message");
  }
}
